if debugMode then

	setDevelopmentMode (true)
	
	addEventHandler("onClientPlayerDamage", localPlayer, 
	function ()
		cancelEvent()
	end)
	
	addEventHandler("onClientVehicleDamage", root, 
	function ()
		cancelEvent()
	end)
	
	projectileTestLine = {}
	addEventHandler("onClientRender", root, 
	function () 
		
		--[[
		-- InSpect turret data
			dxDrawText("turrets:\n" .. tostring(getElementData(resourceRoot, "turrets")), 300, 300)
		]]

		if #projectileTestLine >= 2 then
			for i=1, #projectileTestLine do
				local lineData = projectileTestLine[i]
				
				dxDrawLine3D(lineData[1], lineData[2], lineData[3], lineData[4], lineData[5], lineData[6], lineData.color)
			end
		end

	end)

end
